## javax.faces.webapp
Class UIComponentTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  UIComponentBodyTag

public abstract class UIComponentTag
extends java.lang.Object
implements javax.servlet.jsp.tagext.Tag

Version:
  $Revision: 265611 $ $Date: 2005-08-31 21:05:16 -0400 (Wed, 31 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $)

Field Summary
`protected javax.servlet.jsp.PageContext` `pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UIComponentTag()`

Method Summary
`int` `doEndTag()`
`int` `doStartTag()`
`protected void` `encodeBegin()`
`protected void` `encodeChildren()`
`protected void` `encodeEnd()`
`protected UIComponent` `findComponent(FacesContext context)`
`UIComponent` `getComponentInstance()`
`abstract java.lang.String` `getComponentType()`
`boolean` `getCreated()`
`protected int` `getDoEndValue()`
`protected int` `getDoStartValue()`
`protected FacesContext` `getFacesContext()`
`protected java.lang.String` `getFacetName()`
`protected java.lang.String` `getId()`
`javax.servlet.jsp.tagext.Tag` `getParent()`
`static UIComponentTag` `getParentUIComponentTag(javax.servlet.jsp.PageContext pageContext)`
`abstract java.lang.String` `getRendererType()`
`protected boolean` `isSuppressed()`
`static boolean` `isValueReference(java.lang.String value)`
`void` `release()`
`void` `setBinding(java.lang.String binding)`
`void` `setId(java.lang.String id)`
`void` `setPageContext(javax.servlet.jsp.PageContext pageContext)`
`void` `setParent(javax.servlet.jsp.tagext.Tag parent)`
`protected void` `setProperties(UIComponent component)`
`void` `setRendered(java.lang.String rendered)`
`protected void` `setupResponseWriter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageContext

    protected javax.servlet.jsp.PageContext pageContext

Constructor Detail

### UIComponentTag

    public UIComponentTag()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`

### setBinding

    public void setBinding(java.lang.String binding)
                    throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### setId

    public void setId(java.lang.String id)

### getId

    protected java.lang.String getId()

### setRendered

    public void setRendered(java.lang.String rendered)

### getComponentType

    public abstract java.lang.String getComponentType()

### getComponentInstance

    public UIComponent getComponentInstance()

### getCreated

    public boolean getCreated()

### getParentUIComponentTag

    public static UIComponentTag getParentUIComponentTag(javax.servlet.jsp.PageContext pageContext)

### getRendererType

    public abstract java.lang.String getRendererType()

### isValueReference

    public static boolean isValueReference(java.lang.String value)

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext pageContext)

  Specified by:
    `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`

### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

  Specified by:
    `getParent` in interface `javax.servlet.jsp.tagext.Tag`

### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag parent)

  Specified by:
    `setParent` in interface `javax.servlet.jsp.tagext.Tag`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspException`

### encodeBegin

    protected void encodeBegin()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeChildren

    protected void encodeChildren()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeEnd

    protected void encodeEnd()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### findComponent

    protected UIComponent findComponent(FacesContext context)
                                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### getDoStartValue

    protected int getDoStartValue()
                           throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### getDoEndValue

    protected int getDoEndValue()
                         throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### getFacesContext

    protected FacesContext getFacesContext()

### getFacetName

    protected java.lang.String getFacetName()

### isSuppressed

    protected boolean isSuppressed()

### setProperties

    protected void setProperties(UIComponent component)

### setupResponseWriter

    protected void setupResponseWriter()